using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace video_club
{
    public partial class frmreport : Form
    {
        public frmreport()
        {
            InitializeComponent();
        }

        private void frmreport_Load(object sender, EventArgs e)
        {
              // TODO: This line of code loads data into the 'dataSet1.View1' table. You can move, or remove it, as needed.
            this.view1TableAdapter.Fill(this.dataSet1.View1);
            // TODO: This line of code loads data into the 'dataSet1.tblmoshtari' table. You can move, or remove it, as needed.
           
            labelX1.Text = myfunction.convertDate(DateTime.Now.ToShortDateString(), myfunction.dataConvertMode.toPersian);

        }

        private void textBoxX1_TextChanged(object sender, EventArgs e)
        {
            view1TableAdapter.FillByfname(dataSet1.View1, textBoxX1.Text);
        }

        private void dataGridViewX1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void btnshowall_Click(object sender, EventArgs e)
        {

        }

        private void btnshow_Click(object sender, EventArgs e)
        {
            frmreportmoshtari h = new frmreportmoshtari();
            h.crmoshtari1.SetDataSource(dataSet1);
            this.Close();
            h.Show();
        }




    }
}
